<?php

namespace ServiceEZ\Database\Migrations;

use ServiceEZ\Interfaces\Migration;
use Prappo\WpEloquent\Database\Schema\Blueprint;
use Prappo\WpEloquent\Support\Facades\Schema;

class Messages implements Migration {
	public static function up() {
		if ( Schema::hasTable( 'serviceez_messages' ) ) {
			return;
		}
		Schema::create(
			'serviceez_messages',
			function ( Blueprint $table ) {
				$table->id();
				$table->integer( 'sender_id' );
				$table->integer( 'receiver_id' );
				$table->text( 'message' );
				$table->boolean( 'is_read' )->default( 0 );
				$table->timestamps();
			}
		);
	}

	public static function down() {
		Schema::dropIfExists( 'serviceez_messages' );
	}
}
