<?php
namespace ServiceEZ\Database\Migrations;

use ServiceEZ\Interfaces\Migration;
use Prappo\WpEloquent\Database\Capsule\Manager as Capsule;
use Prappo\WpEloquent\Support\Facades\Schema;


class Notifications implements Migration {
	public static function up() {
		if ( Capsule::schema()->hasTable( 'serviceez_notifications' ) ) {
			return;
		}
		Schema::create(
			'serviceez_notifications',
			function ( $table ) {
				$table->id();
				$table->foreignId( 'user_id' )->constrained( 'users' )->onDelete( 'cascade' );
				$table->text( 'message' );
				$table->string( 'type' );
				$table->string( 'link' )->nullable();
				$table->timestamp( 'read_at' )->nullable();
				$table->timestamps();
			}
		);
	}

	public static function down() {
		Schema::dropIfExists( 'serviceez_notifications' );
	}
}
