<?php
/**
 * Migration interface.
 *
 * @package ServiceEZ
 * @subpackage Interfaces
 * @since 1.0.0
 */

namespace ServiceEZ\Interfaces;

/**
 * Interface Migration
 *
 * Defines the contract for database migration operations.
 *
 * @package ServiceEZ\Interfaces
 */
interface Migration {

	/**
	 * Perform actions when migrating up.
	 *
	 * @return void
	 */
	public static function up();

	/**
	 * Perform actions when migrating down.
	 *
	 * @return void
	 */
	public static function down();
}
