<?php
/**
 * Coupon model class.
 *
 * @package ServiceEZ
 * @subpackage Models
 * @since 1.0.0
 */

namespace ServiceEZ\Models;

use Prappo\WpEloquent\Database\Eloquent\Model;

/**
 * Coupon model class.
 *
 * @package ServiceEZ
 * @subpackage Models
 * @since 1.0.0
 */
class Coupon extends Model {

	/**
	 * Table name.
	 *
	 * @var string
	 */
	protected $table = 'serviceez_coupons';

	/**
	 * Fillable fields.
	 *
	 * @var array
	 */
	protected $fillable = array(
		'code',
		'discount',
		'type',
		'validity_type',
		'valid_until',
	);

	/**
	 * Casts.
	 *
	 * @var array
	 */
	protected $casts = array(
		'valid_until' => 'datetime',
	);
}
