<?php
/**
 * Message model class.
 *
 * @package ServiceEZ
 * @subpackage Models
 * @since 1.0.0
 */

namespace ServiceEZ\Models;

use Prappo\WpEloquent\Database\Eloquent\Model;

/**
 * Message model class.
 *
 * @package ServiceEZ
 * @subpackage Models
 * @since 1.0.0
 */
class Message extends Model {

	/**
	 * The table associated with the model.
	 *
	 * @var string
	 */
	protected $table = 'serviceez_messages';

	/**
	 * The fillable attributes.
	 *
	 * @var array
	 */
	protected $fillable = array(
		'sender_id',
		'receiver_id',
		'message',
		'is_read',
	);

	/**
	 * Sender relationship.
	 *
	 * @return \Prappo\WpEloquent\Database\Eloquent\Relations\BelongsTo
	 */
	public function sender() {
		return $this->belongsTo( Client::class, 'sender_id' );
	}

	/**
	 * Receiver relationship.
	 *
	 * @return \Prappo\WpEloquent\Database\Eloquent\Relations\BelongsTo
	 */
	public function receiver() {
		return $this->belongsTo( Client::class, 'receiver_id' );
	}
}
