<?php
/**
 * Plugin Name: ServiceEZ - Sales and Clients Management
 * Description: Enhance Your Service Business with Effective Sales and Clients Management Solutions.
 * Author: ServiceEZ
 * Author URI: https://service-ez.com
 * License: GPLv2
 * Version: 1.0.0
 * Text Domain: serviceez
 * Domain Path: /languages
 *
 * @package ServiceEZ
 */

use ServiceEZ\Core\Install;

defined( 'ABSPATH' ) || exit;

require_once plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin.php';

/**
 * Initializes the ServiceEZ plugin when plugins are loaded.
 *
 * @since 1.0.0
 * @return void
 */
function orderezy_init() {
	ServiceEZ::get_instance()->init();
}

// Hook for plugin initialization.
add_action( 'plugins_loaded', 'orderezy_init' );

// Hook for plugin activation.
register_activation_hook( __FILE__, array( Install::get_instance(), 'init' ) );

// Hook for redirecting to the admin page after activation.
add_action( 'admin_init', array( Install::get_instance(), 'serviceez_redirect_after_activation' ) );
